makeinfo fails on sparc with buffer overflow detected, causing other packages ftbfs

Bug #569802 reported by Matthias Klose on 2010-04-25
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Texinfo
Unknown
Unknown
texinfo (Ubuntu)
High
Kees Cook
Lucid
High
Unassigned

Bug Description

Binary package hint: texinfo

seen building libgcrypt11:

*** buffer overflow detected ***: makeinfo terminated
======= Backtrace: =========
/lib/libc.so.6(__chk_fail+0x18)[0x701b6098]
/lib/libc.so.6(+0x1054c4)[0x701b54c4]
/lib/libc.so.6(__overflow+0x50)[0x70131350]
/lib/libc.so.6(_IO_vfprintf+0x4e14)[0x70104394]
/lib/libc.so.6(__vsprintf_chk+0x78)[0x701b5558]
/lib/libc.so.6(__sprintf_chk+0x24)[0x701b54a4]
makeinfo[0x319ec]
makeinfo[0x188f4]
makeinfo[0x1fe98]
makeinfo[0x29354]
makeinfo[0x2a498]
makeinfo[0x2bbdc]
/lib/libc.so.6(__libc_start_main+0x10c)[0x700d064c]
makeinfo[0x116ac]
======= Memory map: ========
00010000-00044000 r-xp 00000000 08:02 7406614 /usr/bin/makeinfo
00052000-00054000 r--p 00032000 08:02 7406614 /usr/bin/makeinfo
00054000-0005c000 rwxp 00034000 08:02 7406614 /usr/bin/makeinfo
0005c000-0018c000 rwxp 0005c000 00:00 0 [heap]
70000000-7003c000 rw-p 70000000 00:00 0
7007c000-7009e000 r-xp 00000000 08:02 7323798 /lib/ld-2.11.1.so
700ac000-700ae000 r--p 00020000 08:02 7323798 /lib/ld-2.11.1.so
700ae000-700b0000 rwxp 00022000 08:02 7323798 /lib/ld-2.11.1.so
700b0000-70218000 r-xp 00000000 08:02 7323846 /lib/libc-2.11.1.so
70218000-70228000 ---p 00168000 08:02 7323846 /lib/libc-2.11.1.so
70228000-7022a000 r--p 00168000 08:02 7323846 /lib/libc-2.11.1.so
7022a000-7022e000 rwxp 0016a000 08:02 7323846 /lib/libc-2.11.1.so
7022e000-70230000 rwxp 7022e000 00:00 0
ffdf0000-ffe1a000 rw-p 7fefffd6000 00:00 0 [stack]
/build/buildd/libgcrypt11-1.4.4/missing: line 47: 25043 Aborted "$@"

Matthias Klose (doko) on 2010-04-25
Changed in texinfo (Ubuntu):
importance: Undecided → High
milestone: none → lucid-updates
status: New → Confirmed
Rico Tzschichholz (ricotz) wrote :

I confirm this problem building libgcrypt11 on Natty/amd64

Kees Cook (kees) on 2011-01-13
Changed in texinfo (Ubuntu):
assignee: nobody → Kees Cook (kees)
milestone: lucid-updates → natty-alpha-3
Kees Cook (kees) on 2011-01-13
Changed in texinfo (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package texinfo - 4.13a.dfsg.1-6ubuntu3

---------------
texinfo (4.13a.dfsg.1-6ubuntu3) natty; urgency=low

  * debian/patches/minor-buffer-size-fix: increase stack buffer size
    for sprintf of numeric values (LP: #569802).
 -- Kees Cook <email address hidden> Thu, 13 Jan 2011 14:24:55 -0800

Changed in texinfo (Ubuntu):
status: Fix Committed → Fix Released
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in texinfo (Ubuntu Lucid):
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.